Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_xer.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_xer.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_xer.f90	(revision 5117)
@@ -191,5 +191,5 @@
     !   891214  Prologue converted to Version 4.0 format.  (WRB)
     !   900510  Changed test on NERR to be -9999999 < NERR < 99999999, but
-    !       NERR .ne. 0, and on LEVEL to be -2 < LEVEL < 3.  Added
+    !       NERR .NE. 0, and on LEVEL to be -2 < LEVEL < 3.  Added
     !       LEVEL=-1 logic, changed calls to XERSAV to XERSVE, and
     !       XERCTL to XERCNT.  (RWC)
@@ -734,5 +734,5 @@
     !
     ! This routine sends one or more lines to each of the (up to five)
-    ! logical units to which error messages are to be sent.  This routine
+    ! LOGICAL units to which error messages are to be sent.  This routine
     ! is called several times by XERMSG, sometimes with a single line to
     ! print and sometimes with a (potentially very long) message that may
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_step_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_step_av_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_step_av_m.F90	(revision 5117)
@@ -1,2 +1,4 @@
+! Amaury (07/24): ce module n'est utilisé nulle part à part dans obsolete/, où il en existe déjà une autre version....
+
 ! $Id$
 module regr1_step_av_m
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/sort.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/sort.f90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/sort.f90	(revision 5117)
@@ -0,0 +1,35 @@
+! $Header$
+
+!
+!
+SUBROUTINE sort(n, d)
+  !
+  ! P.Le Van
+  !
+  !...  cette routine met le tableau d  dans l'ordre croissant  ....
+  !c   ( pour avoir l'ordre decroissant,il suffit de remplacer l'instruc
+  !  tion  situee + bas  IF(d(j).LE.p)  THEN     par
+  !                       IF(d(j).GE.p)  THEN
+  !
+
+  INTEGER :: n
+  REAL :: d(n), p
+  INTEGER :: i, j, k
+
+  DO i = 1, n - 1
+    k = i
+    p = d(i)
+    DO j = i + 1, n
+      IF(d(j)<=p) THEN
+        k = j
+        p = d(j)
+      ENDIF
+    ENDDO
+
+    IF(k/=i) THEN
+      d(k) = d(i)
+      d(i) = p
+    ENDIF
+  ENDDO
+
+END SUBROUTINE sort
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_abort_physic.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_abort_physic.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_abort_physic.F90	(revision 5117)
@@ -18,7 +18,7 @@
     !         ierr    = severity of situation ( = 0 normal )
 
-    CHARACTER(LEN = *), intent(in) :: modname
-    integer ierr, ierror_mpi
-    CHARACTER(LEN = *), intent(in) :: message
+    CHARACTER(LEN = *), INTENT(IN) :: modname
+    INTEGER ierr, ierror_mpi
+    CHARACTER(LEN = *), INTENT(IN) :: message
 
     WRITE(lunout, *) 'in abort_physic'
@@ -26,5 +26,5 @@
     CALL histclo
     CALL restclo
-    if (mpi_rank == 0) THEN
+    IF (mpi_rank == 0) THEN
       CALL getin_dump
     endif
@@ -33,7 +33,7 @@
     WRITE(lunout, *) 'Stopping in ', modname
     WRITE(lunout, *) 'Reason = ', message
-    if (ierr == 0) THEN
+    IF (ierr == 0) THEN
       WRITE(lunout, *) 'Everything is cool'
-      if (using_mpi) THEN
+      IF (using_mpi) THEN
         !$OMP CRITICAL (MPI_ABORT_PHYSIC)
         CALL MPI_ABORT(COMM_LMDZ_PHY, 0, ierror_mpi)
@@ -44,5 +44,5 @@
     else
       WRITE(lunout, *) 'Houston, we have a problem, ierr = ', ierr
-      if (using_mpi) THEN
+      IF (using_mpi) THEN
         !$OMP CRITICAL (MPI_ABORT_PHYSIC)
         CALL MPI_ABORT(COMM_LMDZ_PHY, 1, ierror_mpi)
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_geometry.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_geometry.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_geometry.F90	(revision 5117)
@@ -38,5 +38,5 @@
           cell_area_, ind_cell_glo_, dx_, dy_)
     USE lmdz_grid_phy, ONLY: nvertex
-    USE nrtype, ONLY: PI
+    USE lmdz_physical_constants, ONLY: PI
     IMPLICIT NONE
     INTEGER, INTENT(IN) :: klon ! number of columns for this MPI/OpenMP domain
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_init_print_control.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_init_print_control.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_init_print_control.F90	(revision 5117)
@@ -35,5 +35,5 @@
 
     IF (is_omp_root) THEN
-      IF (lunout /= 5 .and. lunout /= 6) THEN
+      IF (lunout /= 5 .AND. lunout /= 6) THEN
         INQUIRE(FILE = 'lmdz.out_0000', OPENED = opened, NUMBER = number)
         IF (opened) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_mpi_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_mpi_data.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_mpi_data.F90	(revision 5117)
@@ -66,5 +66,5 @@
     is_using_mpi = using_mpi
     
-    if ((nbp_lon==1).and.(nbp_lat==1)) then ! running 1D column model
+    IF ((nbp_lon==1).AND.(nbp_lat==1)) then ! running 1D column model
        klon_glo=1
     else
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_mpi_transfert.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_mpi_transfert.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_mpi_transfert.f90	(revision 5117)
@@ -1375,5 +1375,5 @@
     INTEGER :: ierr
 
-    IF (.not.is_using_mpi) RETURN
+    IF (.NOT.is_using_mpi) RETURN
     
     CALL MPI_BCAST(Var,nb,MPI_CHARACTER,mpi_master,COMM_LMDZ_PHY,ierr)
@@ -1393,5 +1393,5 @@
     INTEGER :: ierr
 
-    IF (.not.is_using_mpi) RETURN
+    IF (.NOT.is_using_mpi) RETURN
 
     CALL MPI_BCAST(Var,nb,MPI_INTEGER,mpi_master,COMM_LMDZ_PHY,ierr)
@@ -1412,5 +1412,5 @@
     INTEGER :: ierr
 
-    IF (.not.is_using_mpi) RETURN
+    IF (.NOT.is_using_mpi) RETURN
 
     CALL MPI_BCAST(Var,nb,MPI_REAL_LMDZ,mpi_master,COMM_LMDZ_PHY,ierr)
@@ -1431,5 +1431,5 @@
     INTEGER :: ierr
 
-    IF (.not.is_using_mpi) RETURN
+    IF (.NOT.is_using_mpi) RETURN
 
     CALL MPI_BCAST(Var,nb,MPI_LOGICAL,mpi_master,COMM_LMDZ_PHY,ierr)
@@ -1456,5 +1456,5 @@
 
 
-    IF (.not.is_using_mpi) THEN
+    IF (.NOT.is_using_mpi) THEN
       VarOut(:,:)=VarIn(:,:)
       RETURN
@@ -1496,5 +1496,5 @@
     INTEGER :: ierr
 
-    IF (.not.is_using_mpi) THEN
+    IF (.NOT.is_using_mpi) THEN
       VarOut(:,:)=VarIn(:,:)
       RETURN
@@ -1537,5 +1537,5 @@
     INTEGER :: ierr
 
-    IF (.not.is_using_mpi) THEN
+    IF (.NOT.is_using_mpi) THEN
       VarOut(:,:)=VarIn(:,:)
       RETURN
@@ -1579,5 +1579,5 @@
     INTEGER :: ierr
 
-    IF (.not.is_using_mpi) THEN
+    IF (.NOT.is_using_mpi) THEN
       VarOut(:,:)=VarIn(:,:)
       RETURN
@@ -1638,5 +1638,5 @@
     ENDIF
     
-    IF (.not.is_using_mpi) THEN
+    IF (.NOT.is_using_mpi) THEN
       VarOut(:,:)=VarIn(:,:)
       RETURN
@@ -1675,5 +1675,5 @@
     INTEGER :: ierr
     
-    IF (.not.is_using_mpi) THEN
+    IF (.NOT.is_using_mpi) THEN
       VarOut(:,:)=VarIn(:,:)
       RETURN
@@ -1720,5 +1720,5 @@
     INTEGER :: ierr
    
-    IF (.not.is_using_mpi) THEN
+    IF (.NOT.is_using_mpi) THEN
       VarOut(:)=VarIn(:)
       RETURN
@@ -1741,5 +1741,5 @@
     INTEGER :: ierr
  
-    IF (.not.is_using_mpi) THEN
+    IF (.NOT.is_using_mpi) THEN
       VarOut(:)=VarIn(:)
       RETURN
@@ -1763,5 +1763,5 @@
     INTEGER :: ierr
    
-    IF (.not.is_using_mpi) THEN
+    IF (.NOT.is_using_mpi) THEN
       VarOut(:)=VarIn(:)
       RETURN
@@ -1785,5 +1785,5 @@
     INTEGER :: ierr
  
-    IF (.not.is_using_mpi) THEN
+    IF (.NOT.is_using_mpi) THEN
       VarOut(:)=VarIn(:)
       RETURN
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_omp_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_omp_data.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_omp_data.F90	(revision 5117)
@@ -28,5 +28,5 @@
     USE lmdz_abort_physic, ONLY: abort_physic
     IMPLICIT NONE
-    INTEGER, INTENT(in) :: klon_mpi
+    INTEGER, INTENT(IN) :: klon_mpi
 
     INTEGER :: i
@@ -88,10 +88,10 @@
 !$OMP BARRIER
 
-   if ((is_north_pole_dyn) .AND. (omp_rank == 0 )) THEN
+   IF ((is_north_pole_dyn) .AND. (omp_rank == 0 )) THEN
       is_north_pole_phy = .TRUE.
     else
       is_north_pole_phy = .FALSE.
     endif
-    if ((is_south_pole_dyn) .AND. (omp_rank == omp_size-1)) THEN
+    IF ((is_south_pole_dyn) .AND. (omp_rank == omp_size-1)) THEN
       is_south_pole_phy = .TRUE.
     else
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_para.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_para.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_para.f90	(revision 5117)
@@ -19,9 +19,9 @@
   SUBROUTINE Init_phys_lmdz_para(nbp,nbp_lon,nbp_lat,nbp_lev,grid_type, nvertex,communicator)
   IMPLICIT NONE
-    INTEGER,INTENT(in) :: nbp
-    INTEGER,INTENT(in) :: nbp_lon
-    INTEGER,INTENT(in) :: nbp_lat
-    INTEGER,INTENT(in) :: nbp_lev
-    INTEGER,INTENT(in) :: communicator
+    INTEGER,INTENT(IN) :: nbp
+    INTEGER,INTENT(IN) :: nbp_lon
+    INTEGER,INTENT(IN) :: nbp_lat
+    INTEGER,INTENT(IN) :: nbp_lev
+    INTEGER,INTENT(IN) :: communicator
     INTEGER,INTENT(IN) :: grid_type 
     INTEGER,INTENT(IN) :: nvertex 
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_physics_distribution.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_physics_distribution.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_physics_distribution.F90	(revision 5117)
@@ -55,9 +55,9 @@
   !  IMPLICIT NONE
 
-  !    INTEGER,INTENT(in) :: iim
-  !    INTEGER,INTENT(in) :: jjp1
-  !    INTEGER,INTENT(in) :: llm
-  !    INTEGER,INTENT(in) :: nb_proc
-  !    INTEGER,INTENT(in) :: distrib(0:nb_proc-1)
+  !    INTEGER,INTENT(IN) :: iim
+  !    INTEGER,INTENT(IN) :: jjp1
+  !    INTEGER,INTENT(IN) :: llm
+  !    INTEGER,INTENT(IN) :: nb_proc
+  !    INTEGER,INTENT(IN) :: distrib(0:nb_proc-1)
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_write_field_phy.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_write_field_phy.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_write_field_phy.f90	(revision 5117)
@@ -12,5 +12,5 @@
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo, &
             Grid1Dto2D_glo
-    USE Write_Field, ONLY: WriteField
+    USE lmdz_write_field, ONLY: WriteField
 
     IMPLICIT NONE
@@ -20,6 +20,6 @@
     REAL, INTENT(IN) :: Field(klon_omp, ll)
 
-    real, dimension(klon_glo, ll) :: New_Field
-    real, dimension(nbp_lon, nbp_lat, ll) :: Field_2d
+    REAL, DIMENSION(klon_glo, ll) :: New_Field
+    REAL, DIMENSION(nbp_lon, nbp_lat, ll) :: Field_2d
 
     CALL Gather(Field, New_Field)
Index: LMDZ6/branches/Amaury_dev/libf/phydev/gr_fi_ecrit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/gr_fi_ecrit.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/gr_fi_ecrit.F90	(revision 5117)
@@ -10,5 +10,5 @@
   INTEGER,INTENT(IN) :: nfield,nlon,iim,jjmp1
   REAL,INTENT(IN) :: fi(nlon,nfield)
-  REAL,INTENT(out) :: ecrit(iim*jjmp1,nfield)
+  REAL,INTENT(OUT) :: ecrit(iim*jjmp1,nfield)
 
   INTEGER :: i, n, ig, jjm
Index: LMDZ6/branches/Amaury_dev/libf/phydev/infotrac_phy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/infotrac_phy.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/infotrac_phy.F90	(revision 5117)
@@ -4,5 +4,5 @@
 MODULE infotrac_phy
 
-   USE strings_mod, ONLY: maxlen
+   USE lmdz_strings, ONLY: maxlen
 !   PUBLIC :: tracers, type_trac                            !--- Full tracers database, tracers type keyword
 !   PUBLIC :: nqtot,   nbtr,   nqo,   nqCO2,   nqtottr      !--- Main dimensions
Index: LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5117)
@@ -3,11 +3,11 @@
 module iophy
 
-  ! abd  REAL,PRIVATE,allocatable,dimension(:),save :: io_lat
-  ! abd  REAL,PRIVATE,allocatable,dimension(:),save :: io_lon
-  REAL, allocatable, dimension(:), save :: io_lat
-  REAL, allocatable, dimension(:), save :: io_lon
+  ! abd  REAL,PRIVATE,ALLOCATABLE,DIMENSION(:),save :: io_lat
+  ! abd  REAL,PRIVATE,ALLOCATABLE,DIMENSION(:),save :: io_lon
+  REAL, ALLOCATABLE, DIMENSION(:), save :: io_lat
+  REAL, ALLOCATABLE, DIMENSION(:), save :: io_lon
   INTEGER, save :: phys_domain_id
   INTEGER, save :: npstn
-  INTEGER, allocatable, dimension(:), save :: nptabij
+  INTEGER, ALLOCATABLE, DIMENSION(:), save :: nptabij
 
 
@@ -34,11 +34,11 @@
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE ioipsl, ONLY: flio_dom_set
-    use wxios, ONLY: wxios_domain_param, using_xios
-    IMPLICIT NONE
-    real, dimension(klon), intent(in) :: rlon
-    real, dimension(klon), intent(in) :: rlat
-
-    REAL, dimension(klon_glo) :: rlat_glo
-    REAL, dimension(klon_glo) :: rlon_glo
+    USE lmdz_wxios, ONLY: wxios_domain_param, using_xios
+    IMPLICIT NONE
+    REAL, DIMENSION(klon), INTENT(IN) :: rlon
+    REAL, DIMENSION(klon), INTENT(IN) :: rlat
+
+    REAL, DIMENSION(klon_glo) :: rlat_glo
+    REAL, DIMENSION(klon_glo) :: rlon_glo
 
     INTEGER, DIMENSION(2) :: ddid
@@ -93,5 +93,5 @@
     dpl = (/ nbp_lon, jj_end /)
     dhs = (/ ii_begin - 1, 0 /)
-    if (mpi_rank==mpi_size - 1) THEN
+    IF (mpi_rank==mpi_size - 1) THEN
       dhe = (/0, 0/)
     else
@@ -117,5 +117,5 @@
       END IF
 
-      if (prt_level>=10) THEN
+      IF (prt_level>=10) THEN
         WRITE(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " iibegin=", ii_begin, " ii_end=", ii_end, " jjbegin=", jj_begin, " jj_nb=", jj_nb, " jj_end=", jj_end
         WRITE(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " nbp_lon=", nbp_lon, " nbp_lat=", nbp_lat
@@ -140,18 +140,18 @@
   SUBROUTINE histbeg_phy(name, itau0, zjulian, dtime, nhori, nid_day)
     USE lmdz_phys_para, ONLY: is_sequential, jj_begin, jj_end, jj_nb
-    use ioipsl, ONLY: histbeg
+    USE ioipsl, ONLY: histbeg
     USE lmdz_print_control, ONLY: prt_level, lunout
     USE lmdz_grid_phy, ONLY: nbp_lon
     IMPLICIT NONE
 
-    character*(*), intent(IN) :: name
-    integer, intent(in) :: itau0
-    real, intent(in) :: zjulian
-    real, intent(in) :: dtime
-    integer, intent(out) :: nhori
-    integer, intent(out) :: nid_day
-
-    !$OMP MASTER
-    if (is_sequential) THEN
+    character*(*), INTENT(IN) :: name
+    INTEGER, INTENT(IN) :: itau0
+    REAL, INTENT(IN) :: zjulian
+    REAL, INTENT(IN) :: dtime
+    INTEGER, INTENT(OUT) :: nhori
+    INTEGER, INTENT(OUT) :: nid_day
+
+    !$OMP MASTER
+    IF (is_sequential) THEN
       CALL histbeg(name, nbp_lon, io_lon, jj_nb, io_lat(jj_begin:jj_end), &
               1, nbp_lon, 1, jj_nb, itau0, zjulian, dtime, nhori, nid_day)
@@ -170,15 +170,15 @@
   SUBROUTINE histbeg_phyxios(name, ffreq, lev)
     USE lmdz_phys_para, ONLY: is_using_mpi, is_mpi_root
-    use wxios, ONLY: wxios_add_file
+    USE lmdz_wxios, ONLY: wxios_add_file
     IMPLICIT NONE
 
     character*(*), INTENT(IN) :: name
-    !    integer, INTENT(IN) :: itau0
+    !    INTEGER, INTENT(IN) :: itau0
     !    REAL,INTENT(IN) :: zjulian
     !    REAL,INTENT(IN) :: dtime
     character(LEN = *), INTENT(IN) :: ffreq
     INTEGER, INTENT(IN) :: lev
-    !    integer,intent(out) :: nhori
-    !    integer,intent(out) :: nid_day
+    !    INTEGER,INTENT(OUT) :: nhori
+    !    INTEGER,INTENT(OUT) :: nid_day
 
     !$OMP MASTER
@@ -207,15 +207,15 @@
     IMPLICIT NONE
 
-    integer, intent(in) :: nid
-    logical, intent(in) :: lpoint
-    character*(*), intent(IN) :: name
-    integer, intent(in) :: itau
-    real, dimension(:), intent(in) :: field
-    REAL, dimension(klon_mpi) :: buffer_omp
-    INTEGER, allocatable, dimension(:) :: index2d
+    INTEGER, INTENT(IN) :: nid
+    logical, INTENT(IN) :: lpoint
+    character*(*), INTENT(IN) :: name
+    INTEGER, INTENT(IN) :: itau
+    REAL, DIMENSION(:), INTENT(IN) :: field
+    REAL, DIMENSION(klon_mpi) :: buffer_omp
+    INTEGER, ALLOCATABLE, DIMENSION(:) :: index2d
     REAL :: Field2d(nbp_lon, jj_nb)
 
     INTEGER :: ip
-    real, allocatable, dimension(:) :: fieldok
+    REAL, ALLOCATABLE, DIMENSION(:) :: fieldok
 
     IF (size(field)/=klon) CALL abort_physic('iophy::histwrite2d', 'Field first dimension not equal to klon', 1)
@@ -267,14 +267,14 @@
     IMPLICIT NONE
 
-    integer, intent(in) :: nid
-    logical, intent(in) :: lpoint
-    character*(*), intent(IN) :: name
-    integer, intent(in) :: itau
-    real, dimension(:, :), intent(in) :: field  ! --> field(klon,:)
-    REAL, dimension(klon_mpi, size(field, 2)) :: buffer_omp
+    INTEGER, INTENT(IN) :: nid
+    logical, INTENT(IN) :: lpoint
+    character*(*), INTENT(IN) :: name
+    INTEGER, INTENT(IN) :: itau
+    REAL, DIMENSION(:, :), INTENT(IN) :: field  ! --> field(klon,:)
+    REAL, DIMENSION(klon_mpi, size(field, 2)) :: buffer_omp
     REAL :: Field3d(nbp_lon, jj_nb, size(field, 2))
     INTEGER :: ip, n, nlev
-    INTEGER, ALLOCATABLE, dimension(:) :: index3d
-    real, allocatable, dimension(:, :) :: fieldok
+    INTEGER, ALLOCATABLE, DIMENSION(:) :: index3d
+    REAL, ALLOCATABLE, DIMENSION(:, :) :: fieldok
 
     IF (size(field, 1)/=klon) CALL abort_physic('iophy::histwrite3d', 'Field first dimension not equal to klon', 1)
Index: LMDZ6/branches/Amaury_dev/libf/phydev/phyetat0.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/phyetat0.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/phyetat0.F90	(revision 5117)
@@ -14,5 +14,5 @@
   IMPLICIT NONE
 
-  CHARACTER(len=*),INTENT(in) :: fichnom ! input file name
+  CHARACTER(len=*),INTENT(IN) :: fichnom ! input file name
 
   REAL :: lon_startphy(klon), lat_startphy(klon)
Index: LMDZ6/branches/Amaury_dev/libf/phydev/phys_state_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/phys_state_var_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/phys_state_var_mod.F90	(revision 5117)
@@ -19,9 +19,9 @@
 !  use dimphy, ONLY: klon
 
-!  if (.not.allocated(rlat)) THEN
+!  if (.NOT.allocated(rlat)) THEN
 !    ALLOCATE(rlat(klon),rlon(klon))
 !  else
 !    WRITE(*,*) "phys_state_var_init: warning, rlat already allocated"
-!  endif
+!  ENDIF
   
   END SUBROUTINE phys_state_var_init
Index: LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90	(revision 5117)
@@ -24,5 +24,5 @@
 
       USE lmdz_xios, ONLY: xios_update_calendar, using_xios
-      USE wxios, ONLY: wxios_add_vaxis, wxios_set_cal, wxios_closedef
+      USE lmdz_wxios, ONLY: wxios_add_vaxis, wxios_set_cal, wxios_closedef
       USE iophy, ONLY: histwrite_phy
 
@@ -31,26 +31,26 @@
 ! Routine argument:
 
-      integer,intent(in) :: nlon ! number of atmospheric colums
-      integer,intent(in) :: nlev ! number of vertical levels (should be =klev)
-      logical,intent(in) :: debut ! signals first CALL to physics
-      logical,intent(in) :: lafin ! signals last CALL to physics
-      real,intent(in) :: pdtphys ! physics time step (s)
-      real,intent(in) :: paprs(klon,klev+1) ! interlayer pressure (Pa)
-      real,intent(in) :: pplay(klon,klev) ! mid-layer pressure (Pa)
-      real,intent(in) :: pphi(klon,klev) ! geopotential at mid-layer
-      real,intent(in) :: pphis(klon) ! surface geopotential
-      real,intent(in) :: presnivs(klev) ! pseudo-pressure (Pa) of mid-layers
-      real,intent(in) :: u(klon,klev) ! eastward zonal wind (m/s)
-      real,intent(in) :: v(klon,klev) ! northward meridional wind (m/s)
-      real,intent(in) :: t(klon,klev) ! temperature (K)
-      real,intent(in) :: qx(klon,klev,nqtot) ! tracers (.../kg_air)
-      real,intent(in) :: flxmass_w(klon,klev) ! vertical mass flux
-      real,intent(out) :: d_u(klon,klev) ! physics tendency on u (m/s/s)
-      real,intent(out) :: d_v(klon,klev) ! physics tendency on v (m/s/s)
-      real,intent(out) :: d_t(klon,klev) ! physics tendency on t (K/s)
-      real,intent(out) :: d_qx(klon,klev,nqtot) ! physics tendency on tracers
-      real,intent(out) :: d_ps(klon) ! physics tendency on surface pressure
+      INTEGER,INTENT(IN) :: nlon ! number of atmospheric colums
+      INTEGER,INTENT(IN) :: nlev ! number of vertical levels (should be =klev)
+      logical,INTENT(IN) :: debut ! signals first CALL to physics
+      logical,INTENT(IN) :: lafin ! signals last CALL to physics
+      REAL,INTENT(IN) :: pdtphys ! physics time step (s)
+      REAL,INTENT(IN) :: paprs(klon,klev+1) ! interlayer pressure (Pa)
+      REAL,INTENT(IN) :: pplay(klon,klev) ! mid-layer pressure (Pa)
+      REAL,INTENT(IN) :: pphi(klon,klev) ! geopotential at mid-layer
+      REAL,INTENT(IN) :: pphis(klon) ! surface geopotential
+      REAL,INTENT(IN) :: presnivs(klev) ! pseudo-pressure (Pa) of mid-layers
+      REAL,INTENT(IN) :: u(klon,klev) ! eastward zonal wind (m/s)
+      REAL,INTENT(IN) :: v(klon,klev) ! northward meridional wind (m/s)
+      REAL,INTENT(IN) :: t(klon,klev) ! temperature (K)
+      REAL,INTENT(IN) :: qx(klon,klev,nqtot) ! tracers (.../kg_air)
+      REAL,INTENT(IN) :: flxmass_w(klon,klev) ! vertical mass flux
+      REAL,INTENT(OUT) :: d_u(klon,klev) ! physics tendency on u (m/s/s)
+      REAL,INTENT(OUT) :: d_v(klon,klev) ! physics tendency on v (m/s/s)
+      REAL,INTENT(OUT) :: d_t(klon,klev) ! physics tendency on t (K/s)
+      REAL,INTENT(OUT) :: d_qx(klon,klev,nqtot) ! physics tendency on tracers
+      REAL,INTENT(OUT) :: d_ps(klon) ! physics tendency on surface pressure
 
-integer,save :: itau=0 ! counter to count number of calls to physics
+INTEGER,save :: itau=0 ! counter to count number of calls to physics
 !$OMP THREADPRIVATE(itau)
 REAL :: temp_newton(klon,klev)
@@ -64,10 +64,10 @@
 REAL :: dtime
 INTEGER :: nhori ! horizontal coordinate ID
-integer,save :: nid_hist ! output file ID
+INTEGER,save :: nid_hist ! output file ID
 !$OMP THREADPRIVATE(nid_hist)
 INTEGER :: zvertid ! vertical coordinate ID
-integer,save :: iwrite_phys ! output every iwrite_phys physics step
+INTEGER,save :: iwrite_phys ! output every iwrite_phys physics step
 !$OMP THREADPRIVATE(iwrite_phys)
-integer,save :: iwrite_phys_omp ! intermediate variable to read iwrite_phys
+INTEGER,save :: iwrite_phys_omp ! intermediate variable to read iwrite_phys
                                 ! (must be shared by all threads)
 REAL :: t_ops ! frequency of the IOIPSL operations (eg average over...)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90	(revision 5117)
@@ -49,6 +49,6 @@
   ! REAL prfl(klon,klev),   psfl(klon,klev)     !--large-scale
   LOGICAL :: debutphy, lafinphy
-  REAL, intent(in) :: xlat(klon)    ! latitudes pour chaque point
-  REAL, intent(in) :: xlon(klon)    ! longitudes pour chaque point
+  REAL, INTENT(IN) :: xlat(klon)    ! latitudes pour chaque point
+  REAL, INTENT(IN) :: xlon(klon)    ! longitudes pour chaque point
   REAL, DIMENSION(klon), INTENT(IN) :: zu10m
   REAL, DIMENSION(klon), INTENT(IN) :: zv10m
@@ -195,5 +195,5 @@
 
     DO i = 1, klon
-      if (maskd(i)>0) THEN
+      IF (maskd(i)>0) THEN
         IF(id_fine>0)    source_tr(i, id_fine) = &
                 scale_param_dustacc(iregion_dust(i)) * &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90	(revision 5117)
@@ -35,9 +35,9 @@
 
   ierr = nf90_open ("limitcarbon.nc", nf90_nowrite, nid1)
-  if (ierr/=nf90_noerr) THEN
+  IF (ierr/=nf90_noerr) THEN
     WRITE(6, *)' Pb d''ouverture du fichier limitbc.nc'
     WRITE(6, *)' ierr = ', ierr
     CALL exit(1)
-  endif
+  ENDIF
 
   ! Tranche a lire:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5117)
@@ -58,5 +58,5 @@
 
     ierr = nf90_open ("carbon_emissions.nc", nf90_nowrite, nid1)
-    if (ierr/=nf90_noerr) THEN
+    IF (ierr/=nf90_noerr) THEN
       WRITE(6, *)' Pb d''ouverture du fichier limitbc.nc'
       WRITE(6, *)' ierr = ', ierr
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90	(revision 5117)
@@ -36,9 +36,9 @@
 
   ierr = nf90_open ("limitsoufre.nc", nf90_nowrite, nid)
-  if (ierr/=nf90_noerr) THEN
+  IF (ierr/=nf90_noerr) THEN
     WRITE(6, *)' Pb d''ouverture du fichier limitsoufre.nc'
     WRITE(6, *)' ierr = ', ierr
     CALL exit(1)
-  endif
+  ENDIF
 
   ! Tranche a lire:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5117)
@@ -61,5 +61,5 @@
 
     ierr = nf90_open ("sulphur_emissions_antro.nc", nf90_nowrite, nid)
-    if (ierr/=nf90_noerr) THEN
+    IF (ierr/=nf90_noerr) THEN
       WRITE(6, *)' Pb d''ouverture du fichier sulphur_emissions_antro'
       WRITE(6, *)' ierr = ', ierr
@@ -130,5 +130,5 @@
     !=======================================================================
     ierr = nf90_open ("sulphur_emissions_nat.nc", nf90_nowrite, nid)
-    if (ierr/=nf90_noerr) THEN
+    IF (ierr/=nf90_noerr) THEN
       WRITE(6, *)' Pb d''ouverture du fichier sulphur_emissions_nat'
       WRITE(6, *)' ierr = ', ierr
@@ -185,5 +185,5 @@
     print *, ' Jour = ', jour
     ierr = nf90_open ("sulphur_emissions_volc.nc", nf90_nowrite, nid)
-    if (ierr/=nf90_noerr) THEN
+    IF (ierr/=nf90_noerr) THEN
       WRITE(6, *)' Pb d''ouverture du fichier sulphur_emissions_volc'
       WRITE(6, *)' ierr = ', ierr
